<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__set__suggested__phy__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_set_suggested_phy_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__set__suggested__phy__info__t_1a0aa4665fcdf7e39f60ae74bf8a657025" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1ga0f4099b76361d0aa427d29122a36fc20">cy_en_ble_phy_no_pref_mask_t</ref></type>
        <definition>cy_en_ble_phy_no_pref_mask_t cy_stc_ble_set_suggested_phy_info_t::allPhyMask</definition>
        <argsstring />
        <name>allPhyMask</name>
        <briefdescription>
<para>Host preference for PHY setting. </para>        </briefdescription>
        <detaileddescription>
<para>Non preferred PHY settings are ignored by the controller </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="669" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="669" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__suggested__phy__info__t_1a3a9dcc72f99e4a6c36da3212063a202b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1gacdd19ffc95628cf3e438ffa1649e9a70">cy_en_ble_phy_mask_t</ref></type>
        <definition>cy_en_ble_phy_mask_t cy_stc_ble_set_suggested_phy_info_t::txPhyMask</definition>
        <argsstring />
        <name>txPhyMask</name>
        <briefdescription>
<para>The transmitter PHY for the connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="672" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="672" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__suggested__phy__info__t_1a583d2ee26cf5f05a07e68740f5593b32" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__definitions_1gacdd19ffc95628cf3e438ffa1649e9a70">cy_en_ble_phy_mask_t</ref></type>
        <definition>cy_en_ble_phy_mask_t cy_stc_ble_set_suggested_phy_info_t::rxPhyMask</definition>
        <argsstring />
        <name>rxPhyMask</name>
        <briefdescription>
<para>The receiver PHY for the connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="675" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="675" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Set Default PHY parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="677" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="666" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="667" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__set__suggested__phy__info__t_1a0aa4665fcdf7e39f60ae74bf8a657025" virt="non-virtual"><scope>cy_stc_ble_set_suggested_phy_info_t</scope><name>allPhyMask</name></member>
      <member prot="public" refid="structcy__stc__ble__set__suggested__phy__info__t_1a583d2ee26cf5f05a07e68740f5593b32" virt="non-virtual"><scope>cy_stc_ble_set_suggested_phy_info_t</scope><name>rxPhyMask</name></member>
      <member prot="public" refid="structcy__stc__ble__set__suggested__phy__info__t_1a3a9dcc72f99e4a6c36da3212063a202b" virt="non-virtual"><scope>cy_stc_ble_set_suggested_phy_info_t</scope><name>txPhyMask</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>